<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  ?>
    <script type="text/javascript">
	  function config_1() {
		$.ajax ({
            url: 'ajax_update.php?func=config_25',
            type: 'POST',
            data: ({shopidMG: $('#shopidMG').val(), secretkeyMG: $('#secretkeyMG').val(), currencyMG: $('#currencyMG').val()}),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                $('#block_title_error').fadeIn(0);
                $('#success_ajax').fadeIn(500);
                setTimeout(function() {
                    $('#success_ajax').fadeOut(500);
					$('#block_title_error').fadeOut(0);
					location.reload();
                }, 4000);
              } else {
				$('#block_title_error').fadeIn(0);
				$('#error_ajax').fadeIn(500).html(data);
                setTimeout(function() {
                    $('#error_ajax').fadeOut(500).html('&nbsp;');
					$('#block_title_error').fadeOut(0);
                }, 4000);
			  }
            }
        });
      }
	  
	  
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Настройка ЭПС</h2>

			<div class="row">
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Megakassa</div>
				  <div class="panel-body">
					<form method="get" class="form-horizontal">
					  <div class="form-group">
						<label class="col-sm-2 control-label ">Магазин id</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="shopidMG" value="<?=$config_site['shopidMG']?>">
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">Key</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="secretkeyMG" value="<?=$config_site['secretkeyMG']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label ">Валюта</label>
						<div class="col-sm-10">
						  <select class="selectpicker" id="currencyMG">
							<optgroup label="Выберите валюту вашего проекта:">
							  <option value="USD" <?if( $config_site['currencyMG'] == 'USD' ) echo 'selected'?>>Долар</option>
							  <option value="EUR"  <?if( $config_site['currencyMG'] == 'EUR' ) echo 'selected'?>>Евро</option>
							  <option value="RUB"  <?if( $config_site['currencyMG'] == 'RUB' ) echo 'selected'?>>Рубль</option>
							</optgroup>
						  </select>
						</div>
					  </div>
					  
					  <div class="form-group error-form-fix" id="block_title_error">
					    <div class="hr-dashed"></div>
						<div class="alert alert-dismissible alert-info" id="success_ajax">
						  Изменения успешно сохранены!
						</div>
						<div class="alert alert-dismissible alert-danger" id="error_ajax">
						  Внимание ошибка!
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group class-float-right">
						<div class="col-sm-8 col-sm-offset-2">
						  <button class="btn btn-primary" type="submit" onclick="config_1();return false;">Сохранить изменения</button>
						</div>
					  </div>
					  
					</form>
				  </div>
				</div>
			  </div>
			  
			  
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>